using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Inject;

[ComImport]
[InterfaceType(1)]
[Guid("A68BE455-C241-49C5-9F8A-070E4CBE430F")]
[SuppressUnmanagedCodeSecurity]
public interface IWindowsMessageSink
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	bool WindowMessage(int HWND, short uMsg, int wParam, int lParam);

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	void WindowMessageEnd();
}
